Packages - Bug #2526

Removed volumes are still displayed on desktop
2019-10-30 05:22 PM - Anonymous

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

When | insert some device which has partitions and mount them, icon appears on desktop. However, sometimes there are two icons
and one is never removed until logging out even if device is physically removed. System is installed using Calamares from systemd
Desktop complete iso.

History

#1 - 2019-10-31 12:42 PM - bill-auger

is this about LXDE? - and is this about the LivelSO, or about the
installed system?

#2 - 2019-10-31 03:28 PM - Anonymous

Yes. | only know about installed system, did not try on Live ISO.

#3 - 2019-10-31 03:47 PM - freemor

| find my self wondering is this is a bug at all.

Yanking external media without informing the system (unmounting) is very bad practice
Depending on how the device was mounted there may even be stale mounts in /etc/mtab
This seems more like a case for user education then a bug.

Light DEs like XFCE often just have a very basic mount/unmount mechanisms.

#4 - 2019-10-31 05:04 PM - bill-auger

see if it helps to install 'udiskie'

also check that the feature is enabled - open the pcmanfm file manager and use the menu to find:
edit -> preferences -> volume management

then make sure the 'mount removable media automatically' is checked

#5 - 2020-12-28 08:10 PM - bill-auger

- Status changed from unconfirmed to not-a-bug

closing as stale
